#include <GLFW/glfw3.h>

typedef struct ComputedNormals {
	GLfloat * normals;
	size_t length;
	void(*free)(const struct ComputedNormals *cn);
} ComputedNormals;

ComputedNormals createNormals(const GLfloat * vertices, size_t verticesLength, const int * directions);
ComputedNormals createNormalsByIndex(const GLfloat * vertices, size_t verticesLength,
				const GLuint * indices, size_t indicesLength,
				const int * directions);
