#version 330 core
layout (location = 0) in vec3 vertexPosition;
layout (location = 1) in vec3 textureCoord;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
 
out vec3 texCoord;

void main(void) {
    vec4 mvPosition = uMVMatrix * vec4(vertexPosition, 1.0);
    texCoord = textureCoord;
    gl_Position = uPMatrix * mvPosition;
}
